/* equivalente in C++ di main.c 
 * Definizione di una class "Point".
 * compilare: 
 * -> g++ -o main1 main1.cpp 
 * eseguire:
 * -> ./main1
 */

#include <cmath>
#include <iostream>

using namespace std;

/* dichiarazione classe Point */
class Point {
public:
  void SetX(double x) { fX = x; }
  void SetY(double y) { fY = y; }
  double GetX() { return fX; }
  double GetY() { return fY; }
  double Magnitude();

private:
  double fX;
  double fY;
};

/* esempio di implementazione di una funzione di una classe
 * fuori dalla definizione della classe */
double Point::Magnitude()
{
    return sqrt(fX*fX+fY*fY); 
}


/* funzione main() */
int main() {
  Point A,B;
  A.SetX(3.2);
  A.SetY(1.2);
  B.SetX(5.2);
  B.SetY(7.3);
  
  double magA = A.Magnitude();
  double magB = B.Magnitude();

   cout<<"MagA "<<magA<<endl;
   cout<<"MagB "<<magB<<endl;

   return 0;
}
