/* file di esempio in c.
 * Calcola la distanza dall'origine di due punti
 * sul piano.
 * compilare: 
 * -> gcc -o main_c -lm main.c 
 * eseguire:
 * -> ./main_c
 */

#include <stdio.h>
#include <math.h>

/* dichiarazione funzione magnitude */
double magnitude(double x, double y);

/* funzione main() */
int main() {
  double Ax,Ay,Bx,By;
  double magA,magB;

  Ax = 3.2;
  Ay = 1.2;
  Bx = 5.2;
  By = 7.3;
  
  magA = magnitude(Ax,Ay);
  magB = magnitude(Bx,By);

  printf("MagA %f\n",magA);
  printf("MagB %f\n",magB);

  return 0;
}


/* implementazione funzione magnitude */
double magnitude(double x, double y)
{
  double mag = sqrt(x*x+y*y);
  return mag;
}
